> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Platform

> Retrieves a specific payroll platform

<Info>
  Learn more about [Payroll
  Platforms](/api-reference/glossary#payroll-platform) in the Glossary.
</Info>


## OpenAPI

````yaml GET /v1/payroll-platforms/{payroll_platform}
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/payroll-platforms/{payroll_platform}:
    get:
      tags:
        - Payroll Platforms
      summary: Get payroll platform
      description: Retrieves a specific payroll platform
      operationId: getPayrollPlatform
      parameters:
        - name: payroll_platform
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Payroll platform details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollPlatform'
              example:
                id: 990e8400-e29b-41d4-a716-446655440004
                displayName: Example Payroll Platform
                supports:
                  payroll: true
                  census: true
                  changeSets: false
                onboarding:
                  selfGuided: true
        '401':
          description: Unauthorized - authentication credentials are missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Payroll platform does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PayrollPlatform:
      type: object
      required:
        - id
        - displayName
        - supports
        - onboarding
      properties:
        id:
          type: string
          format: uuid
        displayName:
          type: string
        supports:
          type: object
          required:
            - census
            - payroll
            - changeSets
          properties:
            census:
              type: boolean
            payroll:
              type: boolean
            changeSets:
              type: boolean
        onboarding:
          type: object
          required:
            - selfGuided
          properties:
            selfGuided:
              type: boolean
              description: >-
                Whether the onboarding flow be finished without the assistance
                of the a Payroll Integrations representative.
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string

````